[From nobody Fri Feb 15 00:31:16 2008
Return-Path: &lt;florin@lug.lug.ro&gt;
Delivered-To: alexis@via.ecp.fr
Received: from lug.lug.ro (lug.lug.ro [193.226.100.49])
	by zen.via.ecp.fr (Postfix) with ESMTP id 15D953AC37
	for &lt;alexis@videolan.org&gt;; Sun, 12 Jan 2003 07:30:02 +0100 (CET)
Received: by lug.lug.ro (Postfix, from userid 506)
	id 806B132CC7; Sun, 12 Jan 2003 08:27:34 +0200 (EET)
Received: from localhost (localhost [127.0.0.1])
	by lug.lug.ro (Postfix) with ESMTP id 546C11F427
	for &lt;alexis@videolan.org&gt;; Sun, 12 Jan 2003 08:27:34 +0200 (EET)
Date: Sun, 12 Jan 2003 08:27:34 +0200 (EET)
From: florin@lug.lug.ro
To: alexis@videolan.org
Subject: spec patch
Message-ID: &lt;Pine.LNX.4.44.0301120822560.20126-100000@lug.lug.ro&gt;
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Spam-Status: No, hits=-2.6 required=4.0 tests=NO_REAL_NAME, UNIFIED_PATCH,
	NO_MX_FOR_FROM version=2.20
X-Spam-Level: 

Hi,

While rebuilding the libdvdcss src.rpm on Red Hat 8.0, it failed:

#########################
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating src/dvdcss/Makefile
config.status: creating test/Makefile
config.status: creating debian/Makefile
config.status: creating doc/Makefile
config.status: creating config.h
config.status: executing default-1 commands
+ %make
/var/tmp/rpm-tmp.96438: line 45: fg: no job control
error: Bad exit status from /var/tmp/rpm-tmp.96438 (%build)
#########################

Looks like RH 8.0 does not have the %make macro.
I patched the spec like this, and it worked:

########################
--- libdvdcss.spec.old  2002-11-17 15:40:48.000000000 -0800
+++ libdvdcss.spec      2003-01-11 22:27:37.000000000 -0800
@@ -65,14 +65,15 @@
 %setup -q

 %build
-%configure
-%make %{?_smp_mflags}
+CFLAGS=&quot;$RPM_OPT_FLAGS&quot; ./configure --prefix=/usr
+make

 %install
-%makeinstall
+[ -n &quot;$RPM_BUILD_ROOT&quot; -a &quot;$RPM_BUILD_ROOT&quot; != / ] &amp;&amp; rm -rf 
&quot;$RPM_BUILD_ROOT&quot;
+make DESTDIR=&quot;$RPM_BUILD_ROOT&quot; install

 %clean
-rm -rf %buildroot
+[ -n &quot;$RPM_BUILD_ROOT&quot; -a &quot;$RPM_BUILD_ROOT&quot; != / ] &amp;&amp; rm -rf 
&quot;$RPM_BUILD_ROOT&quot;

 %post -n %{libname} -p /sbin/ldconfig
########################

Cheers!


]